fpc_com_chain.h File Reference

Communication chain type definitions. More...

`#include <stdint.h>`
`#include "fpc_com_result.h"`
`#include "fpc_hcp_common.h"`
`#include "fpc_com_packets.h"`
Include dependency graph for fpc_com_chain.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | fpc_com_chain_private
struct | fpc_com_chain

## Typedefs

typedef struct fpc_com_chain_private | fpc_com_chain_private_t
| Communication chain private variables. More...
typedef struct fpc_com_chain | fpc_com_chain_t
| Communication chain. More...

## Enumerations

enum | fpc_com_chain_dir_t { FPC_COM_CHAIN_TX = 0, FPC_COM_CHAIN_RX = 1 }
| Communication chain direction type. More...

## Detailed Description

Communication chain type definitions.

Definition in file fpc_com_chain.h.

## Typedef Documentation

typedef struct fpc_com_chain_private fpc_com_chain_private_t

Communication chain private variables.

Definition at line 34 of file fpc_com_chain.h.

typedef struct fpc_com_chain fpc_com_chain_t

Communication chain.

Definition at line 48 of file fpc_com_chain.h.

## Enumeration Type Documentation

enum fpc_com_chain_dir_t

Communication chain direction type.

Enumerator
FPC_COM_CHAIN_TX |
FPC_COM_CHAIN_RX |

Definition at line 149 of file fpc_com_chain.h.